<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <application
        android:name=".MyPrank"
        android:allowBackup="true"
        android:icon="@mipmap/icon"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/icon"
        android:supportsRtl="true"
        android:networkSecurityConfig="@xml/net"
        android:theme="@style/Theme.FunnyAudio"
        tools:targetApi="31">

        <uses-library android:name="org.apache.http.legacy" android:required="false"/>
        <!-- source file: nonchina_jcenter/network_sdk/startapp/5.0.2/AndroidManifest.xml -->
        <!--start.io-->
        <meta-data
            android:name="com.startapp.sdk.SPLASH_ENABLED"
            android:value="false" />

        <!--start.io-->
        <meta-data
            android:name="com.startapp.sdk.RETURN_ADS_ENABLED"
            android:value="false" />
        <activity
            android:name=".activity.ViewPlaySound"
            android:screenOrientation="portrait"
            android:exported="false" />
        <activity
            android:name=".activity.ViewInfo"
            android:screenOrientation="portrait"
            android:exported="false" />
        <activity
            android:name=".activity.ViewMain"
            android:screenOrientation="portrait"
            android:exported="false" />
        <activity
            android:name=".activity.ViewSaveSound"
            android:screenOrientation="portrait"
            android:exported="false" />
        <activity
            android:name=".activity.ViewRecorderSound"
            android:screenOrientation="portrait"
            android:exported="false" />
        <activity
            android:name=".activity.ViewSplash"
            android:screenOrientation="portrait"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>